# Javascript SDK

- [Installation / Importing](https://docs.delegate.xyz/technical-documentation/javascript-sdk/installation-importing.md)
- [Setup](https://docs.delegate.xyz/technical-documentation/javascript-sdk/setup.md)
- [Check Delegations](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations.md)
- [checkDelegateForAll](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations/checkdelegateforall.md): Check if \`to\` is a delegate of \`from\` for the entire wallet
- [checkDelegateForContract](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations/checkdelegateforcontract.md): Check if \`to\` is a delegate of \`from\` for the specified \`contract\` or the entire wallet
- [checkDelegateForERC721](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations/checkdelegateforerc721.md): Check if \`to\` is a delegate of \`from\` for the specific \`contract\` and \`tokenId\`, the entire \`contract\`, or the entire wallet
- [checkDelegateForERC1155](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations/checkdelegateforerc1155.md): Returns the amount of a ERC1155 tokens the delegate is granted rights to act on the behalf of
- [checkDelegateForERC20](https://docs.delegate.xyz/technical-documentation/javascript-sdk/check-delegations/checkdelegateforerc20.md): Returns the amount of ERC20 tokens the delegate is granted rights to act on the behalf of
- [Fetch Delegations](https://docs.delegate.xyz/technical-documentation/javascript-sdk/fetch-delegations.md)
- [Delegate/Revoke](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke.md)
- [delegateAll](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke/delegateall.md): Allow the delegate to act on behalf of \`msg.sender\` for all contracts
- [delegateContract](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke/delegatecontract.md): Allow the delegate to act on behalf of \`msg.sender\` for a specific contract
- [delegateERC721](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke/delegateerc721.md): Allow the delegate to act on behalf of \`msg.sender\` for a specific ERC721 token
- [delegateERC1155](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke/delegateerc1155.md): Allow the delegate to act on behalf of \`msg.sender\` for a specific amount of ERC1155 tokens
- [delegateERC20](https://docs.delegate.xyz/technical-documentation/javascript-sdk/delegate-revoke/delegateerc20.md): Allow the delegate to act on behalf of \`msg.sender\` for a specific amount of ERC20 tokens


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delegate.xyz/technical-documentation/javascript-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
